Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class Property

    java.lang.Object
      org.jboss.portal.wsrp.core.Property

All Implemented Interfaces:
  java.io.Serializable

    public class Property

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected javax.xml.soap.SOAPElement[]` | `_any`
`protected java.lang.String` | `lang`
`protected java.lang.String` | `name`
`protected java.lang.String` | `stringValue`

Constructor Summary
`Property()`
`Property(java.lang.String name, java.lang.String lang, java.lang.String stringValue, javax.xml.soap.SOAPElement[] _any)`

Method Summary
`javax.xml.soap.SOAPElement[]` | `get_any()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStringValue()`
`void` | `set_any(javax.xml.soap.SOAPElement[] _any)`
`void` | `setLang(java.lang.String lang)`
`void` | `setName(java.lang.String name)`
`void` | `setStringValue(java.lang.String stringValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### lang

    protected java.lang.String lang

### stringValue

    protected java.lang.String stringValue

### _any

    protected javax.xml.soap.SOAPElement[] _any

Constructor Detail

### Property

    public Property()

### Property

    public Property(java.lang.String name,
                    java.lang.String lang,
                    java.lang.String stringValue,
                    javax.xml.soap.SOAPElement[] _any)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String lang)

### getStringValue

    public java.lang.String getStringValue()

### setStringValue

    public void setStringValue(java.lang.String stringValue)

### get_any

    public javax.xml.soap.SOAPElement[] get_any()

### set_any

    public void set_any(javax.xml.soap.SOAPElement[] _any)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD